<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <title>Document</title>
  </head>
  <body>
    <script src="js/three.js"></script>
    <script>
      var scene = new THREE.Scene();
      // field of view (in degrees), aspect ratio, near and far clipping distances
      var camera = new THREE.PerspectiveCamera(
        75,
        window.innerWidth / window.innerHeight,
        0.1,
        1000
      );
      var renderer = new THREE.WebGLRenderer();
      renderer.setSize(window.innerWidth, window.innerHeight);
      document.body.appendChild(renderer.domElement);
      var geometry = new THREE.BoxGeometry(1, 1, 1);
      var geometry2 = new THREE.BoxGeometry(2, 2, 2);
      var material = new THREE.MeshPhongMaterial({ color: "#00eeff" });
      var material2 = new THREE.MeshPhongMaterial({
        color: "#00ffee",
        transparent: true,
        opacity: 0.2
      });
      var cube = new THREE.Mesh(geometry, material);
      var cube2 = new THREE.Mesh(geometry2, material2);
      scene.add(cube);
      scene.add(cube2);
      const light = new THREE.DirectionalLight("#FFFFFF", 1);
      light.position.set(-1, 2, 4);
      scene.add(light);
      camera.position.z = 4;

      let osc = 1;
      let v = 0;
      const inc = (Math.PI * 2) / 200;

      function animate() {
        requestAnimationFrame(animate);
        cube2.rotation.x += 0.01;
        v = Math.sin(osc) / 2 + 0.5;
        osc = osc + inc;
        material2.opacity = v + 0.5;
        cube.rotation.y -= 0.01;
        cube.rotation.z -= 0.01;
        renderer.render(scene, camera);
      }

      animate();
    </script>
  </body>
</html>
